"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function buildRequestURL(parameters) {
    var _a;
    if ('text' in parameters && 'url' in parameters) {
        throw new Error('Only a text or a URL value can be provided');
    }
    const params = Object.assign(Object.assign({}, ('text' in parameters && parameters.text !== undefined
        ? {
            text: encodeURIComponent(parameters.text),
        }
        : {
            uri: encodeURIComponent(parameters.url),
        })), { usermedium: (_a = parameters === null || parameters === void 0 ? void 0 : parameters.medium) !== null && _a !== void 0 ? _a : 'all', warning: (parameters === null || parameters === void 0 ? void 0 : parameters.warningLevel) ? parameters.warningLevel - 1 : 'no', output: 'application/json', profile: 'css3' });
    return `https://jigsaw.w3.org/css-validator/validator?${Object.entries(params)
        .map(([key, val]) => `${key}=${val}`)
        .join('&')}`;
}
exports.default = buildRequestURL;
