"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const retrieveInBrowser = (url, timeout) => __awaiter(void 0, void 0, void 0, function* () {
    const controller = new AbortController();
    setTimeout(() => {
        controller.abort();
    }, timeout);
    let res = null;
    try {
        res = yield fetch(url, { signal: controller.signal });
    }
    catch (err) {
        if (err instanceof Error && err.name === 'AbortError') {
            throw new Error(`The request took longer than ${timeout}ms`);
        }
        throw err;
    }
    if (!res) {
        throw new Error('Response expected');
    }
    const data = (yield res.json());
    return data.cssvalidation;
});
exports.default = retrieveInBrowser;
